Bug 174328 - Review Request: tklib - a set of useful packages for Tk
Summary: Review Request: tklib - a set of useful packages for Tk
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dmitry Butskoy
QA Contact: David Lawrence
URL: http://tcllib.sourceforge.net
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-11-28 00:56 UTC by Wart
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-05 06:28:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Suggested changes for the spec file (1.09 KB, patch)
2005-12-02 12:23 UTC, Dmitry Butskoy
no flags Details | Diff

Description Wart 2005-11-28 00:56:52 UTC
MD5SUMs: http://www.kobold.org/~wart/fedora/MD5SUM.asc
Spec Name or Url: http://www.kobold.org/~wart/fedora/tklib.spec
SRPM Name or Url: http://www.kobold.org/~wart/fedora/tklib-0.4.1-1.src.rpm
Description: 
Tklib is a set of packages for Tk.  Packages include tooltip management and some useful widgets.  This is the Tk analog to the tcllib package for Tcl.

This should be a pretty quick review since the package is simple and noarch.

Comment 1 Dmitry Butskoy 2005-12-01 16:20:27 UTC
This package provides "make check" possibility, therefore it must be done (in
the special %check section of the spec file).

For me (under FC3) "make check" fails.
Probably it is caused by absence of the files in the normal install path (the
files are present under $RPM_BUILD_ROOT at the check time). Probably something
another reason...

Anyway, try to provide "make check" success at rpmbuild time.

Comment 2 Wart 2005-12-01 20:28:51 UTC
The "make check" failure is caused by a bug in the script that actually performs
the check.  Here is a new package that fixes the bug and adds the %check section
to the spec file.

http://www.kobold.org/~wart/fedora/tklib-0.4.1-2.src.rpm

Patch has been submitted upstream.

I'm not sure if this provides anything useful, though.  I took a closer look at
the script that performs the check, and it will always exit with code '0' unless
there is an error in the script itself or if it was invoked with invalid
arguments.  If any of the checks fail, it will still return with exit code '0'.

Comment 3 Dmitry Butskoy 2005-12-02 12:21:54 UTC
Remarks & nitpicks:

- spec file should not have execution bit set ("chmod -x tklib.spec")
- patch filename should have the upstream version included (for the moment the
patch is appeared), i.e.  tklib-0.4.1-makecheck.patch
- remove leading "A" from the Summary field.
- add "rm -rf $RPM_BUILD_ROOT" into the beginning of %install section.
- IMHO it is a little more robust to use wildcards in the %files section.



Comment 4 Dmitry Butskoy 2005-12-02 12:23:05 UTC
Created attachment 121739 [details]
Suggested changes for the spec file

Comment 5 Wart 2005-12-02 15:37:48 UTC
I won't argue with any of the suggestions, but I do agree that they are nitpicks. :)

Here's the next attempt:

http://www.kobold.org/~wart/fedora/tklib-0.4.1-3.src.rpm
http://www.kobold.org/~wart/fedora/tklib.spec

Comment 6 Dmitry Butskoy 2005-12-02 16:03:48 UTC
Built OK
MUST/SHOULD items OK

APPROVED.


Note You need to log in before you can comment on or make changes to this bug.